Quantcast

[Salix-main] Sourcery updates (+new strings for translation)

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Salix-main] Sourcery updates (+new strings for translation)

George Vlahavas
Hi,

until now, when Sourcery encountered a dependency that was not installed
in the system and also not available as a SlackBuild, it would just ignore
it and proceed with trying to install the SlackBuilds. That usually led to
failures, either with building or with running the software that was
installed.

I have now added a check and if such a missing dependency is found,
Sourcery will not proceed, but instead throw a dialog that prompts the
user to launch gslapt and install the missing dependency from there. Short
of duplicating gslapt funcionality in sourcery, that was the best
solution I could think of.

For example, if you tried to install the GeoIP-Python SlackBuild from
within Sourcery and you don't have the GeoIP package installed,
sourcery 0.9.2 would just proceed with building, which would ultimately
fail. Now, you should get a dialog warning you about that.

I haven't tested it much, so any testing is very welcome. You can find a
preliminary package here:

http://people.salixos.org/gapan/sourcery/sourcery-20140618-noarch-1gv.txz

There are a few new strings to be translated now, so please also visit the
transifex project page and add these translations for your language:

https://www.transifex.com/projects/p/salix/resource/sourcery/

Thank you!

------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Salix-main mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/salix-main
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Salix-main] Sourcery updates (+new strings for translation)

Richard Lapointe
Nice. Seems to be working here.  Now I can't install Playonlinux on my
64 bit machine;-)

Rich (laprjns)
On 06/18/2014 07:48 AM, George Vlahavas wrote:

> Hi,
>
> until now, when Sourcery encountered a dependency that was not installed
> in the system and also not available as a SlackBuild, it would just ignore
> it and proceed with trying to install the SlackBuilds. That usually led to
> failures, either with building or with running the software that was
> installed.
>
> I have now added a check and if such a missing dependency is found,
> Sourcery will not proceed, but instead throw a dialog that prompts the
> user to launch gslapt and install the missing dependency from there. Short
> of duplicating gslapt funcionality in sourcery, that was the best
> solution I could think of.
>
> For example, if you tried to install the GeoIP-Python SlackBuild from
> within Sourcery and you don't have the GeoIP package installed,
> sourcery 0.9.2 would just proceed with building, which would ultimately
> fail. Now, you should get a dialog warning you about that.
>
> I haven't tested it much, so any testing is very welcome. You can find a
> preliminary package here:
>
> http://people.salixos.org/gapan/sourcery/sourcery-20140618-noarch-1gv.txz
>
> There are a few new strings to be translated now, so please also visit the
> transifex project page and add these translations for your language:
>
> https://www.transifex.com/projects/p/salix/resource/sourcery/
>
> Thank you!
>
> ------------------------------------------------------------------------------
> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
> Find What Matters Most in Your Big Data with HPCC Systems
> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
> http://p.sf.net/sfu/hpccsystems
> _______________________________________________
> Salix-main mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/salix-main


------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Salix-main mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/salix-main
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Salix-main] Sourcery updates (+new strings for translation)

George Vlahavas
In reply to this post by George Vlahavas
I have uploaded sourcery 0.9.3, which includes these changes and all
translated strings until now, to the 14.1 repos...

Thanks everyone!

On Wed, 18 Jun 2014, George Vlahavas wrote:

> Hi,
>
> until now, when Sourcery encountered a dependency that was not installed in
> the system and also not available as a SlackBuild, it would just ignore it
> and proceed with trying to install the SlackBuilds. That usually led to
> failures, either with building or with running the software that was
> installed.
>
> I have now added a check and if such a missing dependency is found, Sourcery
> will not proceed, but instead throw a dialog that prompts the user to launch
> gslapt and install the missing dependency from there. Short of duplicating
> gslapt funcionality in sourcery, that was the best solution I could think of.
>
> For example, if you tried to install the GeoIP-Python SlackBuild from within
> Sourcery and you don't have the GeoIP package installed, sourcery 0.9.2 would
> just proceed with building, which would ultimately fail. Now, you should get
> a dialog warning you about that.
>
> I haven't tested it much, so any testing is very welcome. You can find a
> preliminary package here:
>
> http://people.salixos.org/gapan/sourcery/sourcery-20140618-noarch-1gv.txz
>
> There are a few new strings to be translated now, so please also visit the
> transifex project page and add these translations for your language:
>
> https://www.transifex.com/projects/p/salix/resource/sourcery/
>
> Thank you!
>

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Salix-main mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/salix-main
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Salix-main] Sourcery updates (+new strings for translation)

Cyrille Pontvieux-3
Ehhh !!
Very well done! You've made the right choice by hooking to gslapt from
sourcery. It prevents you from having to deals with problems in sourcery
directly.
Works here.

JRD/Cyrille
Le 2014-06-27 11:32, George Vlahavas a écrit :

> I have uploaded sourcery 0.9.3, which includes these changes and all
> translated strings until now, to the 14.1 repos...
>
> Thanks everyone!
>
> On Wed, 18 Jun 2014, George Vlahavas wrote:
>
>> Hi,
>>
>> until now, when Sourcery encountered a dependency that was not installed in
>> the system and also not available as a SlackBuild, it would just ignore it
>> and proceed with trying to install the SlackBuilds. That usually led to
>> failures, either with building or with running the software that was
>> installed.
>>
>> I have now added a check and if such a missing dependency is found,
>> Sourcery
>> will not proceed, but instead throw a dialog that prompts the user to
>> launch
>> gslapt and install the missing dependency from there. Short of duplicating
>> gslapt funcionality in sourcery, that was the best solution I could think
>> of.
>>
>> For example, if you tried to install the GeoIP-Python SlackBuild from
>> within
>> Sourcery and you don't have the GeoIP package installed, sourcery 0.9.2
>> would
>> just proceed with building, which would ultimately fail. Now, you should
>> get
>> a dialog warning you about that.
>>
>> I haven't tested it much, so any testing is very welcome. You can find a
>> preliminary package here:
>>
>> http://people.salixos.org/gapan/sourcery/sourcery-20140618-noarch-1gv.txz
>>
>> There are a few new strings to be translated now, so please also visit the
>> transifex project page and add these translations for your language:
>>
>> https://www.transifex.com/projects/p/salix/resource/sourcery/
>>
>> Thank you!
>>
>
> ------------------------------------------------------------------------------
> Open source business process management suite built on Java and Eclipse
> Turn processes into business applications with Bonita BPM Community Edition
> Quickly connect people, data, and systems into organized workflows
> Winner of BOSSIE, CODIE, OW2 and Gartner awards
> http://p.sf.net/sfu/Bonitasoft
> _______________________________________________
> Salix-main mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/salix-main

--
JRD - Cyrille Pontvieux

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Salix-main mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/salix-main
Loading...